Sync WhatsApp flow from Meta
POST
/v1/flows/{flowID}/syncAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
flowIDstringrequiredResponses
200OK
builder_jsonBuilderJSONrequiredShow propertiesHide properties
flowFlowDefinitionrequiredShow propertiesHide properties
idstringrequirednamestringrequiredscreensFlowScreen[] | nullrequiredShow propertiesHide properties
Array of
FlowScreenactionsFlowAction[] | nullrequiredShow propertiesHide properties
Array of
FlowActionlabelstringrequiredtargetstringtypestringrequiredurlstringcomponentsFlowComponent[] | nullrequiredShow propertiesHide properties
Array of
FlowComponenthelper_textstringidstringrequiredlabelstringoptionsFlowOption[] | nullShow propertiesHide properties
Array of
FlowOptionidstringrequiredlabelstringrequiredplaceholderstringrequiredbooleantextstringtypestringrequiredidstringrequiredtitlestringrequiredmodestringrequiredbuilder_versioninteger<int32>requiredcategorystringrequiredchannel_idstringdata_api_versionstringrequiredflow_jsonanyrequiredhas_local_changesbooleanrequiredidstringrequiredjson_versionstringrequiredmeta_flow_idstringnamestringrequiredpreview_urlstringstatusstringrequiredvalidation_errorsanyrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring409Conflict
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/flows/string/sync"const response = await fetch("/v1/flows/string/sync", {
method: "POST"
});import requests
response = requests.post(
"/v1/flows/string/sync",
)Response
{
"builder_json": {
"flow": {
"id": "string",
"name": "string",
"screens": [
{
"actions": [
{
"label": "string",
"target": "string",
"type": "string",
"url": "string"
}
],
"components": [
{
"helper_text": "string",
"id": "string",
"label": "string",
"options": [
{
"id": "string",
"label": "string"
}
],
"placeholder": "string",
"required": true,
"text": "string",
"type": "string"
}
],
"id": "string",
"title": "string"
}
]
},
"mode": "string"
},
"builder_version": 0,
"category": "string",
"channel_id": "string",
"data_api_version": "string",
"flow_json": "string",
"has_local_changes": true,
"id": "string",
"json_version": "string",
"meta_flow_id": "string",
"name": "string",
"preview_url": "string",
"status": "string",
"validation_errors": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}